<?php
 
 
 

namespace PhpWA\Protocol\Proto\LimitSharing;

use UnexpectedValueException;




class TriggerType
{
    


    const UNKNOWN = 0;
    


    const CHAT_SETTING = 1;
    


    const BIZ_SUPPORTS_FB_HOSTING = 2;
    


    const UNKNOWN_GROUP = 3;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::CHAT_SETTING => 'CHAT_SETTING',
        self::BIZ_SUPPORTS_FB_HOSTING => 'BIZ_SUPPORTS_FB_HOSTING',
        self::UNKNOWN_GROUP => 'UNKNOWN_GROUP',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

